Bug 427475 - libxml++-devel examples build instructions vague
libxml++-devel examples build instructions vague
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml++ (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 21:32 EST by Philip Ashmore
Modified: 2008-05-13 06:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 06:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-01-03 21:32:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
The "Compilation and Linking" section
    /usr/share/doc/libxml++-devel-2.20.0/manual/html/index.html#id2504511
gives some broad pointers, but the
    /usr/share/doc/libxml++-devel-2.20.0/examples
directory contains only a README file, no makefile or specific build instructions.

Version-Release number of selected component (if applicable):
libxml++-devel-2.20.0-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. <no steps documented>
2.
3.

Actual Results:
Head scratching - I could try a few alternatives, but which one? How many others have ended up at the same crossroads?

Expected Results:
A platform-specific makefile to build all the example apps would be best.

Next best would be autoconf/automake scripts, but seeing such a script determining the size of an "int" is getting old considering that the RPM is targetted at the i386 architecture.


Additional info:
Every example directory contains an "example" file that refers to
    /builddir/build/BUILD/libxml++-2.20.0/examples
so there should also be a script/documentation on how to copy the examples directory to somewhere the user can build it.
Comment 1 Denis Leroy 2008-01-04 04:25:23 EST
The examples are added to the devel package just for convenience and reference.
If you really want to build them, you should download the entire project tar
ball and manually build it...

Still, the examples should be very easy to build by just using pkgconfig. You
only need these 2 lines in Makefile:

CXXFLAGS += `pkg-config --cflags libxml++-2.6`
LDFLAGS += `pkg-config --libs libxml++-2.6`
Comment 2 Philip Ashmore 2008-01-04 07:45:59 EST
I'm sorry for being a nit-picker but this is still not as concrete as it could be.

I understand completely the way to write such a makefile/makefiles.

My point is, if two million people spend an hour figuring this out then that's
228.9 man YEARS wasted, when it's entirely possible that these same individuals
simply wanted to see an example running.

If you like, I could write it for you.

Alternative 2: Leave out the sample source files.

Alternative 3: Add your comment above to the  README file.

Alternative 4: leave out the sample source files and add your comment above to
the  README file.
Comment 3 Denis Leroy 2008-05-13 06:00:46 EDT
Sorry I have to close this as a WONTFIX. As i said, the examples are added
purely as a convenience. As a matter of fact they're not installed by the
upstream build system, so this is already a deviation from what upstream is
doing. If the examples themselves generate complaints, I'll remove them
altogether from the devel package.

Also, almost all development packages in Fedora rely on pkg-config. libxml++ is
a very standard development package in that regard.

Note You need to log in before you can comment on or make changes to this bug.